## no critic
package Acme::CPANModules_ScenarioR::OrderedHash;

our $VERSION = 0.004; # VERSION

our $results = do{my$var=[[200,"OK",[{_name=>"participant=Tie::StoredOrderHash",_succinct_name=>"T:S",errors=>1.4e-06,participant=>"Tie::StoredOrderHash",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>5.16666666666667,rate=>539,samples=>22,time=>1.85},{_name=>"participant=Tie::LLHash",_succinct_name=>"T:L",errors=>3.4e-06,participant=>"Tie::LLHash",pct_faster_vs_slowest=>0.15625,pct_slower_vs_fastest=>4.33333333333333,rate=>640,samples=>20,time=>1.6},{_name=>"participant=Array::OrdHash",_succinct_name=>"A:O",errors=>9.6e-07,participant=>"Array::OrdHash",pct_faster_vs_slowest=>0.651785714285714,pct_slower_vs_fastest=>2.73333333333333,rate=>889,samples=>20,time=>1.12},{_name=>"participant=Tie::IxHash",_succinct_name=>"T:I",errors=>6.1e-07,participant=>"Tie::IxHash",pct_faster_vs_slowest=>0.993534482758621,pct_slower_vs_fastest=>2.09333333333333,rate=>1080,samples=>20,time=>0.928},{_name=>"participant=Hash::Ordered",_succinct_name=>"H:O",errors=>4.1e-07,participant=>"Hash::Ordered",pct_faster_vs_slowest=>1.7046783625731,pct_slower_vs_fastest=>1.28,rate=>1460,samples=>20,time=>0.684},{_name=>"participant=Tie::Hash::Indexed",_succinct_name=>"TH:I",errors=>9.6e-07,participant=>"Tie::Hash::Indexed",pct_faster_vs_slowest=>1.98387096774194,pct_slower_vs_fastest=>1.06666666666667,rate=>1600,samples=>20,time=>0.62},{_name=>"participant=Tree::RB::XS",_succinct_name=>"TR:X",errors=>5.4e-07,participant=>"Tree::RB::XS",pct_faster_vs_slowest=>5.16666666666667,pct_slower_vs_fastest=>0,rate=>3400,samples=>21,time=>0.3}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{datasets=>[{argv=>["insert",1000],include_by_default=>1,name=>"insert 1000 pairs",seq=>0},{argv=>["delete",1000],include_by_default=>1,name=>"insert 1000 pairs + delete",seq=>1},{argv=>["keys",1000,100],include_by_default=>1,name=>"insert 1000 pairs + return keys 100 times",seq=>2},{argv=>["iterate",1000,10],exclude_participant_tags=>["no_iterate"],include_by_default=>1,name=>"insert 1000 pairs + iterate 10 times",seq=>3}],description=>"This scenario is generated from <pm:Acme::CPANModules::OrderedHash>.",participants=>[{_name=>"Tie::IxHash",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;tie my %hash, 'Tie::IxHash';foreach $_ (1 .. $numkeys) {$hash{"key$_"} = $_;}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {delete $hash{"key$_"};}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = keys %hash;}}elsif ($op eq 'iterate') {foreach $_ (1 .. $numrep) {while (my($k, $v) = each %hash) {do {()};}}}},include_by_default=>1,module=>"Tie::IxHash",seq=>0,type=>"perl_code"},{_name=>"Hash::Ordered",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;my $hash = 'Hash::Ordered'->new;foreach $_ (1 .. $numkeys) {$hash->set("key$_", $_);}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {$hash->delete("key$_");}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = $hash->keys;}}elsif ($op eq 'iterate') {foreach $_ (1 .. $numrep) {my $iter = $hash->iterator;while (my($k, $v) = &$iter()) {do {()};}}}},include_by_default=>1,module=>"Hash::Ordered",seq=>1,type=>"perl_code"},{_name=>"Tie::Hash::Indexed",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;tie my %hash, 'Tie::Hash::Indexed';foreach $_ (1 .. $numkeys) {$hash{"key$_"} = $_;}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {delete $hash{"key$_"};}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = keys %hash;}}elsif ($op eq 'iterate') {foreach $_ (1 .. $numrep) {while (my($k, $v) = each %hash) {do {()};}}}},include_by_default=>1,module=>"Tie::Hash::Indexed",seq=>2,type=>"perl_code"},{_name=>"Tie::LLHash",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;tie my %hash, 'Tie::LLHash';foreach $_ (1 .. $numkeys) {tied(%hash)->insert("key$_", $_);}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {delete $hash{"key$_"};}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = keys %hash;}}elsif ($op eq 'iterate') {foreach $_ (1 .. $numrep) {while (my($k, $v) = each %hash) {do {()};}}}},include_by_default=>1,module=>"Tie::LLHash",seq=>3,type=>"perl_code"},{_name=>"Tie::StoredOrderHash",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;tie my %hash, 'Tie::StoredOrderHash';foreach $_ (1 .. $numkeys) {$hash{"key$_"} = $_;}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {delete $hash{"key$_"};}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = keys %hash;}}elsif ($op eq 'iterate') {foreach $_ (1 .. $numrep) {while (my($k, $v) = each %hash) {do {()};}}}},include_by_default=>1,module=>"Tie::StoredOrderHash",seq=>4,type=>"perl_code"},{_name=>"Array::OrdHash",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;my $hash = 'Array::OrdHash'->new;foreach $_ (1 .. $numkeys) {$$hash{"key$_"} = $_;}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {delete $$hash{"key$_"};}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = keys %$hash;}}elsif ($op eq 'iterate') {foreach $_ (1 .. $numrep) {while (my($k, $v) = each %$hash) {do {()};}}}},include_by_default=>1,module=>"Array::OrdHash",seq=>5,type=>"perl_code"},{_name=>"Tree::RB::XS",code=>sub{package Acme::CPANModules::OrderedHash;use warnings;use strict;no feature;use feature ':5.10';my($op, $numkeys, $numrep) = @_;my $tree = 'Tree::RB::XS'->new('compare_fn', 'str', 'track_recent', 1, 'keys_in_recent_order', 1);foreach $_ (1 .. $numkeys) {$tree->insert("key$_");}if ($op eq 'delete') {foreach $_ (1 .. $numkeys) {$tree->delete("key$_");}}elsif ($op eq 'keys') {foreach $_ (1 .. $numrep) {my(@keys) = $tree->keys;}}elsif ($op eq 'iterate') {foreach $_ (1 .. $numrep) {my $iter = $tree->iter;while (my $v = $iter->next) {do {()};}}}},include_by_default=>1,module=>"Tree::RB::XS",seq=>6,type=>"perl_code"}],summary=>"List of modules that provide ordered hash data type"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>0,speed=>2921.091,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>1,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>2,speed=>4388.376,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>3,speed=>4391.472,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>4,speed=>4231.018,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>5,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>6,speed=>1949.055,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>7,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>8,speed=>1949.187,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>9,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>10,speed=>1947.352,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>11,speed=>"1108.000",stepping=>1}],"func.elapsed_time"=>8.15422296524048,"func.module_startup"=>undef,"func.module_versions"=>{"Array::OrdHash"=>1.03,"Benchmark::Dumb"=>0.505,"Devel::Platform::Info"=>"1.00","Hash::Ordered"=>0.014,"Sys::Info"=>0.7811,"Tie::Hash::Indexed"=>0.08,"Tie::IxHash"=>1.23,"Tie::LLHash"=>1.004,"Tie::StoredOrderHash"=>0.22,"Tree::RB::XS"=>0.19,__PACKAGE__=>1.063,perl=>"v5.40.1"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["participant",[0,1,2,3,4,5,6],"perl",["perl"]],"func.platform_info"=>{archname=>"x86_64",codename=>"oracular",is32bit=>0,is64bit=>1,kernel=>"linux-6.11.0-8-generic",kname=>"Linux",kvers=>"6.11.0-8-generic",osflag=>"linux",oslabel=>"Ubuntu",osname=>"GNU/Linux",osvers=>"24.10",source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Ubuntu 24.10 \\n \\l","lsb_release -a"=>"Distributor ID:\tUbuntu\nDescription:\tUbuntu 24.10\nRelease:\t24.10\nCodename:\toracular","uname -a"=>"Linux u1 6.11.0-8-generic #8-Ubuntu SMP PREEMPT_DYNAMIC Mon Sep 16 13:41:20 UTC 2024 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"6.11.0-8-generic","uname -s"=>"Linux"}},"func.precision"=>0,"func.time_end"=>1744704666.80762,"func.time_factor"=>1,"func.time_start"=>1744704658.6534,"table.field_aligns"=>["left","number","number","number","number","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,"percent","percent","percent","percent","percent","percent",undef,undef],"table.field_units"=>[undef,"/s","ms",undef,undef,undef,undef],"table.fields"=>["participant","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}],[200,"OK",[{_name=>"participant=Tie::IxHash",_succinct_name=>"T:I",errors=>4.8e-05,participant=>"Tie::IxHash",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>58.2592592592593,rate=>31,samples=>21,time=>32},{_name=>"participant=Tie::StoredOrderHash",_succinct_name=>"T:S",errors=>8.6e-06,participant=>"Tie::StoredOrderHash",pct_faster_vs_slowest=>8.6969696969697,pct_slower_vs_fastest=>5.11111111111111,rate=>310,samples=>21,time=>3.3},{_name=>"participant=Tie::LLHash",_succinct_name=>"T:L",errors=>2.5e-06,participant=>"Tie::LLHash",pct_faster_vs_slowest=>11.0300751879699,pct_slower_vs_fastest=>3.92592592592593,rate=>376,samples=>20,time=>2.66},{_name=>"participant=Array::OrdHash",_succinct_name=>"A:O",errors=>6.1e-06,participant=>"Array::OrdHash",pct_faster_vs_slowest=>12.9130434782609,pct_slower_vs_fastest=>3.25925925925926,rate=>440,samples=>20,time=>2.3},{_name=>"participant=Hash::Ordered",_succinct_name=>"H:O",errors=>1.9e-06,participant=>"Hash::Ordered",pct_faster_vs_slowest=>19,pct_slower_vs_fastest=>1.96296296296296,rate=>610,samples=>20,time=>1.6},{_name=>"participant=Tie::Hash::Indexed",_succinct_name=>"TH:I",errors=>5.7e-07,participant=>"Tie::Hash::Indexed",pct_faster_vs_slowest=>32.8266384778013,pct_slower_vs_fastest=>0.751851851851852,rate=>1060,samples=>20,time=>0.946},{_name=>"participant=Tree::RB::XS",_succinct_name=>"TR:X",errors=>6.3e-07,participant=>"Tree::RB::XS",pct_faster_vs_slowest=>58.2592592592593,pct_slower_vs_fastest=>0,rate=>1900,samples=>20,time=>0.54}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{datasets=>[{argv=>["insert",1000],include_by_default=>1,name=>"insert 1000 pairs",seq=>0},{argv=>["delete",1000],include_by_default=>1,name=>"insert 1000 pairs + delete",seq=>1},{argv=>["keys",1000,100],include_by_default=>1,name=>"insert 1000 pairs + return keys 100 times",seq=>2},{argv=>["iterate",1000,10],exclude_participant_tags=>["no_iterate"],include_by_default=>1,name=>"insert 1000 pairs + iterate 10 times",seq=>3}],description=>"This scenario is generated from <pm:Acme::CPANModules::OrderedHash>.",participants=>[{_name=>"Tie::IxHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[0]{code}',include_by_default=>1,module=>"Tie::IxHash",seq=>0,type=>"perl_code"},{_name=>"Hash::Ordered",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[1]{code}',include_by_default=>1,module=>"Hash::Ordered",seq=>1,type=>"perl_code"},{_name=>"Tie::Hash::Indexed",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[2]{code}',include_by_default=>1,module=>"Tie::Hash::Indexed",seq=>2,type=>"perl_code"},{_name=>"Tie::LLHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[3]{code}',include_by_default=>1,module=>"Tie::LLHash",seq=>3,type=>"perl_code"},{_name=>"Tie::StoredOrderHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[4]{code}',include_by_default=>1,module=>"Tie::StoredOrderHash",seq=>4,type=>"perl_code"},{_name=>"Array::OrdHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[5]{code}',include_by_default=>1,module=>"Array::OrdHash",seq=>5,type=>"perl_code"},{_name=>"Tree::RB::XS",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[6]{code}',include_by_default=>1,module=>"Tree::RB::XS",seq=>6,type=>"perl_code"}],summary=>"List of modules that provide ordered hash data type"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>0,speed=>2921.091,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>1,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>2,speed=>4388.376,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>3,speed=>4391.472,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>4,speed=>4231.018,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>5,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>6,speed=>1949.055,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>7,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>8,speed=>1949.187,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>9,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>10,speed=>1947.352,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>11,speed=>"1108.000",stepping=>1}],"func.elapsed_time"=>8.15422296524048,"func.module_startup"=>undef,"func.module_versions"=>{"Array::OrdHash"=>1.03,"Benchmark::Dumb"=>0.505,"Devel::Platform::Info"=>"1.00","Hash::Ordered"=>0.014,"Sys::Info"=>0.7811,"Tie::Hash::Indexed"=>0.08,"Tie::IxHash"=>1.23,"Tie::LLHash"=>1.004,"Tie::StoredOrderHash"=>0.22,"Tree::RB::XS"=>0.19,__PACKAGE__=>1.063,perl=>"v5.40.1"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["participant",[0,1,2,3,4,5,6],"perl",["perl"]],"func.platform_info"=>{archname=>"x86_64",codename=>"oracular",is32bit=>0,is64bit=>1,kernel=>"linux-6.11.0-8-generic",kname=>"Linux",kvers=>"6.11.0-8-generic",osflag=>"linux",oslabel=>"Ubuntu",osname=>"GNU/Linux",osvers=>"24.10",source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Ubuntu 24.10 \\n \\l","lsb_release -a"=>"Distributor ID:\tUbuntu\nDescription:\tUbuntu 24.10\nRelease:\t24.10\nCodename:\toracular","uname -a"=>"Linux u1 6.11.0-8-generic #8-Ubuntu SMP PREEMPT_DYNAMIC Mon Sep 16 13:41:20 UTC 2024 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"6.11.0-8-generic","uname -s"=>"Linux"}},"func.precision"=>0,"func.time_end"=>1744704666.80762,"func.time_factor"=>1,"func.time_start"=>1744704658.6534,"table.field_aligns"=>["left","number","number","number","number","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,"percent","percent","percent","percent","percent","percent",undef,undef],"table.field_units"=>[undef,"/s","ms",undef,undef,undef,undef],"table.fields"=>["participant","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}],[200,"OK",[{_name=>"participant=Tie::StoredOrderHash",_succinct_name=>"T:S",errors=>2e-05,participant=>"Tie::StoredOrderHash",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>5.08695652173913,rate=>71,samples=>20,time=>14},{_name=>"participant=Tie::LLHash",_succinct_name=>"T:L",errors=>1.2e-05,participant=>"Tie::LLHash",pct_faster_vs_slowest=>0.0526315789473684,pct_slower_vs_fastest=>4.78260869565217,rate=>75.4,samples=>24,time=>13.3},{_name=>"participant=Array::OrdHash",_succinct_name=>"A:O",errors=>1e-05,participant=>"Array::OrdHash",pct_faster_vs_slowest=>0.217391304347826,pct_slower_vs_fastest=>4,rate=>87.2,samples=>20,time=>11.5},{_name=>"participant=Tie::IxHash",_succinct_name=>"T:I",errors=>2.5e-06,participant=>"Tie::IxHash",pct_faster_vs_slowest=>0.495726495726496,pct_slower_vs_fastest=>3.0695652173913,rate=>107,samples=>20,time=>9.36},{_name=>"participant=Tie::Hash::Indexed",_succinct_name=>"TH:I",errors=>5e-06,participant=>"Tie::Hash::Indexed",pct_faster_vs_slowest=>1.39316239316239,pct_slower_vs_fastest=>1.54347826086957,rate=>171,samples=>21,time=>5.85},{_name=>"participant=Hash::Ordered",_succinct_name=>"H:O",errors=>6.1e-06,participant=>"Hash::Ordered",pct_faster_vs_slowest=>2.5,pct_slower_vs_fastest=>0.739130434782609,rate=>250,samples=>20,time=>4},{_name=>"participant=Tree::RB::XS",_succinct_name=>"TR:X",errors=>8.2e-07,participant=>"Tree::RB::XS",pct_faster_vs_slowest=>5.08695652173913,pct_slower_vs_fastest=>0,rate=>435,samples=>20,time=>2.3}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{datasets=>[{argv=>["insert",1000],include_by_default=>1,name=>"insert 1000 pairs",seq=>0},{argv=>["delete",1000],include_by_default=>1,name=>"insert 1000 pairs + delete",seq=>1},{argv=>["keys",1000,100],include_by_default=>1,name=>"insert 1000 pairs + return keys 100 times",seq=>2},{argv=>["iterate",1000,10],exclude_participant_tags=>["no_iterate"],include_by_default=>1,name=>"insert 1000 pairs + iterate 10 times",seq=>3}],description=>"This scenario is generated from <pm:Acme::CPANModules::OrderedHash>.",participants=>[{_name=>"Tie::IxHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[0]{code}',include_by_default=>1,module=>"Tie::IxHash",seq=>0,type=>"perl_code"},{_name=>"Hash::Ordered",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[1]{code}',include_by_default=>1,module=>"Hash::Ordered",seq=>1,type=>"perl_code"},{_name=>"Tie::Hash::Indexed",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[2]{code}',include_by_default=>1,module=>"Tie::Hash::Indexed",seq=>2,type=>"perl_code"},{_name=>"Tie::LLHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[3]{code}',include_by_default=>1,module=>"Tie::LLHash",seq=>3,type=>"perl_code"},{_name=>"Tie::StoredOrderHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[4]{code}',include_by_default=>1,module=>"Tie::StoredOrderHash",seq=>4,type=>"perl_code"},{_name=>"Array::OrdHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[5]{code}',include_by_default=>1,module=>"Array::OrdHash",seq=>5,type=>"perl_code"},{_name=>"Tree::RB::XS",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[6]{code}',include_by_default=>1,module=>"Tree::RB::XS",seq=>6,type=>"perl_code"}],summary=>"List of modules that provide ordered hash data type"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>0,speed=>2921.091,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>1,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>2,speed=>4388.376,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>3,speed=>4391.472,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>4,speed=>4231.018,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>5,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>6,speed=>1949.055,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>7,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>8,speed=>1949.187,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>9,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>10,speed=>1947.352,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>11,speed=>"1108.000",stepping=>1}],"func.elapsed_time"=>8.15422296524048,"func.module_startup"=>undef,"func.module_versions"=>{"Array::OrdHash"=>1.03,"Benchmark::Dumb"=>0.505,"Devel::Platform::Info"=>"1.00","Hash::Ordered"=>0.014,"Sys::Info"=>0.7811,"Tie::Hash::Indexed"=>0.08,"Tie::IxHash"=>1.23,"Tie::LLHash"=>1.004,"Tie::StoredOrderHash"=>0.22,"Tree::RB::XS"=>0.19,__PACKAGE__=>1.063,perl=>"v5.40.1"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["participant",[0,1,2,3,4,5,6],"perl",["perl"]],"func.platform_info"=>{archname=>"x86_64",codename=>"oracular",is32bit=>0,is64bit=>1,kernel=>"linux-6.11.0-8-generic",kname=>"Linux",kvers=>"6.11.0-8-generic",osflag=>"linux",oslabel=>"Ubuntu",osname=>"GNU/Linux",osvers=>"24.10",source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Ubuntu 24.10 \\n \\l","lsb_release -a"=>"Distributor ID:\tUbuntu\nDescription:\tUbuntu 24.10\nRelease:\t24.10\nCodename:\toracular","uname -a"=>"Linux u1 6.11.0-8-generic #8-Ubuntu SMP PREEMPT_DYNAMIC Mon Sep 16 13:41:20 UTC 2024 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"6.11.0-8-generic","uname -s"=>"Linux"}},"func.precision"=>0,"func.time_end"=>1744704666.80762,"func.time_factor"=>1,"func.time_start"=>1744704658.6534,"table.field_aligns"=>["left","number","number","number","number","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,"percent","percent","percent","percent","percent","percent",undef,undef],"table.field_units"=>[undef,"/s","ms",undef,undef,undef,undef],"table.fields"=>["participant","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}],[200,"OK",[{_name=>"participant=Tie::StoredOrderHash",_succinct_name=>"T:S",errors=>6.1e-05,participant=>"Tie::StoredOrderHash",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>14.2631578947368,rate=>17,samples=>20,time=>58},{_name=>"participant=Tie::LLHash",_succinct_name=>"T:L",errors=>7.3e-05,participant=>"Tie::LLHash",pct_faster_vs_slowest=>0.16,pct_slower_vs_fastest=>12.1578947368421,rate=>20,samples=>20,time=>50},{_name=>"participant=Array::OrdHash",_succinct_name=>"A:O",errors=>0.00011,participant=>"Array::OrdHash",pct_faster_vs_slowest=>0.45,pct_slower_vs_fastest=>9.52631578947368,rate=>25,samples=>21,time=>40},{_name=>"participant=Tie::IxHash",_succinct_name=>"T:I",errors=>3.3e-05,participant=>"Tie::IxHash",pct_faster_vs_slowest=>0.554959785522788,pct_slower_vs_fastest=>8.81578947368421,rate=>26.8,samples=>20,time=>37.3},{_name=>"participant=Tie::Hash::Indexed",_succinct_name=>"TH:I",errors=>2.7e-05,participant=>"Tie::Hash::Indexed",pct_faster_vs_slowest=>1.52173913043478,pct_slower_vs_fastest=>5.05263157894737,rate=>44,samples=>20,time=>23},{_name=>"participant=Hash::Ordered",_succinct_name=>"H:O",errors=>7.1e-06,participant=>"Hash::Ordered",pct_faster_vs_slowest=>6.80619111709287,pct_slower_vs_fastest=>0.955263157894737,rate=>135,samples=>20,time=>7.43},{_name=>"participant=Tree::RB::XS",_succinct_name=>"TR:X",errors=>4.3e-06,participant=>"Tree::RB::XS",pct_faster_vs_slowest=>14.2631578947368,pct_slower_vs_fastest=>0,rate=>270,samples=>20,time=>3.8}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{datasets=>[{argv=>["insert",1000],include_by_default=>1,name=>"insert 1000 pairs",seq=>0},{argv=>["delete",1000],include_by_default=>1,name=>"insert 1000 pairs + delete",seq=>1},{argv=>["keys",1000,100],include_by_default=>1,name=>"insert 1000 pairs + return keys 100 times",seq=>2},{argv=>["iterate",1000,10],exclude_participant_tags=>["no_iterate"],include_by_default=>1,name=>"insert 1000 pairs + iterate 10 times",seq=>3}],description=>"This scenario is generated from <pm:Acme::CPANModules::OrderedHash>.",participants=>[{_name=>"Tie::IxHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[0]{code}',include_by_default=>1,module=>"Tie::IxHash",seq=>0,type=>"perl_code"},{_name=>"Hash::Ordered",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[1]{code}',include_by_default=>1,module=>"Hash::Ordered",seq=>1,type=>"perl_code"},{_name=>"Tie::Hash::Indexed",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[2]{code}',include_by_default=>1,module=>"Tie::Hash::Indexed",seq=>2,type=>"perl_code"},{_name=>"Tie::LLHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[3]{code}',include_by_default=>1,module=>"Tie::LLHash",seq=>3,type=>"perl_code"},{_name=>"Tie::StoredOrderHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[4]{code}',include_by_default=>1,module=>"Tie::StoredOrderHash",seq=>4,type=>"perl_code"},{_name=>"Array::OrdHash",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[5]{code}',include_by_default=>1,module=>"Array::OrdHash",seq=>5,type=>"perl_code"},{_name=>"Tree::RB::XS",code=>'$var->[0][3]{"func.bencher_args"}{scenario}{participants}[6]{code}',include_by_default=>1,module=>"Tree::RB::XS",seq=>6,type=>"perl_code"}],summary=>"List of modules that provide ordered hash data type"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>0,speed=>2921.091,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>1,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>2,speed=>4388.376,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>3,speed=>4391.472,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>4,speed=>4231.018,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>5,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>6,speed=>1949.055,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>7,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>8,speed=>1949.187,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>9,speed=>"1108.000",stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>10,speed=>1947.352,stepping=>1},{L2_cache=>{max_cache_size=>"512 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>25,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","mmx","fxsr","sse","sse2","ht","syscall","nx","mmxext","fxsr_opt","pdpe1gb","rdtscp","lm","constant_tsc","rep_good","nopl","xtopology","nonstop_tsc","cpuid","extd_apicid","aperfmperf","rapl","pni","pclmulqdq","monitor","ssse3","fma","cx16","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","cmp_legacy","svm","extapic","cr8_legacy","abm","sse4a","misalignsse","3dnowprefetch","osvw","ibs","skinit","wdt","tce","topoext","perfctr_core","perfctr_nb","bpext","perfctr_llc","mwaitx","cpb","cat_l3","cdp_l3","hw_pstate","ssbd","mba","ibrs","ibpb","stibp","vmmcall","fsgsbase","bmi1","avx2","smep","bmi2","erms","invpcid","cqm","rdt_a","rdseed","adx","smap","clflushopt","clwb","sha_ni","xsaveopt","xsavec","xgetbv1","xsaves","cqm_llc","cqm_occup_llc","cqm_mbm_total","cqm_mbm_local","user_shstk","clzero","irperf","xsaveerptr","rdpru","wbnoinvd","cppc","arat","npt","lbrv","svm_lock","nrip_save","tsc_scale","vmcb_clean","flushbyasid","decodeassists","pausefilter","pfthreshold","avic","v_vmsave_vmload","vgif","v_spec_ctrl","umip","pku","ospke","vaes","vpclmulqdq","rdpid","overflow_recov","succor","smca","fsrm","debug_swap"],manufacturer=>"AuthenticAMD",model=>68,name=>"AMD Ryzen 5 7535HS with Radeon Graphics",number_of_cores=>6,number_of_logical_processors=>12,processor_id=>11,speed=>"1108.000",stepping=>1}],"func.elapsed_time"=>8.15422296524048,"func.module_startup"=>undef,"func.module_versions"=>{"Array::OrdHash"=>1.03,"Benchmark::Dumb"=>0.505,"Devel::Platform::Info"=>"1.00","Hash::Ordered"=>0.014,"Sys::Info"=>0.7811,"Tie::Hash::Indexed"=>0.08,"Tie::IxHash"=>1.23,"Tie::LLHash"=>1.004,"Tie::StoredOrderHash"=>0.22,"Tree::RB::XS"=>0.19,__PACKAGE__=>1.063,perl=>"v5.40.1"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["participant",[0,1,2,3,4,5,6],"perl",["perl"]],"func.platform_info"=>{archname=>"x86_64",codename=>"oracular",is32bit=>0,is64bit=>1,kernel=>"linux-6.11.0-8-generic",kname=>"Linux",kvers=>"6.11.0-8-generic",osflag=>"linux",oslabel=>"Ubuntu",osname=>"GNU/Linux",osvers=>"24.10",source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Ubuntu 24.10 \\n \\l","lsb_release -a"=>"Distributor ID:\tUbuntu\nDescription:\tUbuntu 24.10\nRelease:\t24.10\nCodename:\toracular","uname -a"=>"Linux u1 6.11.0-8-generic #8-Ubuntu SMP PREEMPT_DYNAMIC Mon Sep 16 13:41:20 UTC 2024 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"6.11.0-8-generic","uname -s"=>"Linux"}},"func.precision"=>0,"func.time_end"=>1744704666.80762,"func.time_factor"=>1,"func.time_start"=>1744704658.6534,"table.field_aligns"=>["left","number","number","number","number","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,"percent","percent","percent","percent","percent","percent",undef,undef],"table.field_units"=>[undef,"/s","ms",undef,undef,undef,undef],"table.fields"=>["participant","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}]];$var->[1][3]{"func.bencher_args"}{scenario}{participants}[0]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[0]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[1]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[1]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[2]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[2]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[3]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[3]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[4]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[4]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[5]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[5]{code};$var->[1][3]{"func.bencher_args"}{scenario}{participants}[6]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[6]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[0]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[0]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[1]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[1]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[2]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[2]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[3]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[3]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[4]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[4]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[5]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[5]{code};$var->[2][3]{"func.bencher_args"}{scenario}{participants}[6]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[6]{code};$var->[3][3]{"func.bencher_args"}{scenario}{participants}[0]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[0]{code};$var->[3][3]{"func.bencher_args"}{scenario}{participants}[1]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[1]{code};$var->[3][3]{"func.bencher_args"}{scenario}{participants}[2]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[2]{code};$var->[3][3]{"func.bencher_args"}{scenario}{participants}[3]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[3]{code};$var->[3][3]{"func.bencher_args"}{scenario}{participants}[4]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[4]{code};$var->[3][3]{"func.bencher_args"}{scenario}{participants}[5]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[5]{code};$var->[3][3]{"func.bencher_args"}{scenario}{participants}[6]{code}=$var->[0][3]{"func.bencher_args"}{scenario}{participants}[6]{code};$var};

1;
# ABSTRACT: List of modules that provide ordered hash data type

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Acme::CPANModules_ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

